Subject: Re: bug#5374: vc-find-file-hook in batch?

From: Stefan Monnier <[email-masked]>
Date: Mon, 18 Jul 2011 10:44:21 -0400

>> It takes a lot of time to run the hook in this case, but other than
>> that I see no problem.
> OK. I don't think is reason enough to remove vc-find-file-hook in batch
> mode though. You can always remove it in your own personal use if you
> feel it necessary.

If it's a performance problem, the right fix is to profile it, find the
culprit and fix it.  Disabling vc-find-file-hook would just workaround
the problem.

        Stefan